From a6f030044a5c902b6d816def4eacf2270810fed4 Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Fri, 9 Apr 2021 00:09:07 +0530
Subject: [PATCH 5/6] Adding Support for UART

Change-Id: Ie36380b2963c8aa4f570e8aec993d9710cc33636
---
 arch/arm64/boot/dts/qcom/sdm660-sc66-evk.dtsi | 59 +++++++++++++++++++++++++++
 arch/arm64/boot/dts/qcom/sdm660.dtsi          |  4 ++
 2 files changed, 63 insertions(+)

diff --git a/arch/arm64/boot/dts/qcom/sdm660-sc66-evk.dtsi b/arch/arm64/boot/dts/qcom/sdm660-sc66-evk.dtsi
index af6d195..f3d059f 100644
--- a/arch/arm64/boot/dts/qcom/sdm660-sc66-evk.dtsi
+++ b/arch/arm64/boot/dts/qcom/sdm660-sc66-evk.dtsi
@@ -10,6 +10,8 @@
  * GNU General Public License for more details.
  */
 
+#include <dt-bindings/clock/qcom,gcc-sdm660.h>
+
 &spi_3 {
 	status = "ok";
 	spi@c177000 {
@@ -33,3 +35,60 @@
 		status = "disabled";
 	};
 };
+
+&uartblsp1dm2 {
+		compatible = "qcom,msm-uartdm-v1.4", "qcom,msm-uartdm";
+		reg = <0xc16f000 0x1000>;
+		interrupts = <0 107 0>;
+		clocks = <&clock_gcc GCC_BLSP1_UART1_APPS_CLK>,
+			 <&clock_gcc GCC_BLSP1_AHB_CLK>;
+		clock-names = "core", "iface";
+		pinctrl-names = "default";
+		pinctrl-0 = <&blsp1_uart1_active>;
+		status= "ok";
+};
+
+&uartblsp2dm1 {
+		status = "ok";
+		pinctrl-names = "default";
+		pinctrl-0 = <&blsp2_uart2_active>;
+};
+
+&blsp1_uart1_active {
+        mux {
+                pins = "gpio0", "gpio1"; /* "gpio2", "gpio3"; */
+        };
+
+        config {
+                pins = "gpio0", "gpio1"; /* "gpio2", "gpio3"; */
+        };
+};
+
+&blsp1_uart1_sleep {
+        mux {
+                pins = "gpio0", "gpio1"; /* "gpio2", "gpio3"; */
+        };
+        config {
+                pins = "gpio0", "gpio1"; /* "gpio2", "gpio3"; */
+        };
+};
+
+&blsp2_uart2_active {
+	mux {
+		pins = "gpio28", "gpio29", "gpio30", "gpio31";
+		function = "blsp_uart6_b";
+	};
+
+	config {
+		pins = "gpio28", "gpio29", "gpio30", "gpio31";
+	};
+};
+
+&blsp2_uart2_sleep {
+	mux {
+		pins = "gpio28", "gpio29", "gpio30", "gpio31";
+	};
+	config {
+		pins = "gpio28", "gpio29", "gpio30", "gpio31";
+	};
+};
diff --git a/arch/arm64/boot/dts/qcom/sdm660.dtsi b/arch/arm64/boot/dts/qcom/sdm660.dtsi
index 5b6d0b5..3999ec8 100644
--- a/arch/arm64/boot/dts/qcom/sdm660.dtsi
+++ b/arch/arm64/boot/dts/qcom/sdm660.dtsi
@@ -37,6 +37,8 @@
 
 	aliases {
 		serial0 = &uartblsp1dm1;
+		serial1 = &uartblsp2dm1;
+		serial2 = &uartblsp1dm2;
 		sdhc1 = &sdhc_1; /* SDC1 eMMC slot */
 		sdhc2 = &sdhc_2; /* SDC2 for SD card */
 	};
@@ -809,6 +811,8 @@
 			 <&clock_gcc GCC_BLSP1_AHB_CLK>;
 		clock-names = "core", "iface";
 	};
+	uartblsp1dm2: serial@0c16f000 {
+	};
 
 	qcom,qbt1000 {
 		compatible = "qcom,qbt1000";
-- 
2.7.4

